document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuBtn = document.querySelector('.menu-btn');
  const navLinks = document.querySelector('.nav-links');
  
  menuBtn.addEventListener('click', () => {
    navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
  });

  // Cart functionality
  const cartBtns = document.querySelectorAll('.add-to-cart');
  const cartCount = document.querySelector('.cart-count');
  let count = 0;

  cartBtns.forEach(btn => {
    btn.addEventListener('click', () => {
      count++;
      cartCount.textContent = count;
      
      // Animation
      btn.classList.add('added');
      setTimeout(() => btn.classList.remove('added'), 1000);
    });
  });

  // Smooth scroll
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});

// Intersection Observer for animations
const observer = new IntersectionObserver((entries) => {
  entries.forEach(entry => {
    if (entry.isIntersecting) {
      entry.target.classList.add('visible');
    }
  });
}, {
  threshold: 0.1
});

document.querySelectorAll('.product-card').forEach((el) => observer.observe(el));
